IRCD(8)

NAME
ircd - The IRCD-Hybrid Internet Relay Chat server

SYNOPSIS

ircd
    [-configfile filename] [-dlinefile filename] [-klinefile filename] [-xlinefile filename] [-logfile filename] [-pidfile filename] [-foreground] [-version]

DESCRIPTION

ircd is the server (daemon) program for the Internet Relay Chat Program. The ircd is a server in that its function is to "serve" the client program irc(1) and other compatible programs with messages and commands. All commands and user messages are passed directly to the ircd for processing and relaying to other IRC servers. This is ircd-hybrid, the highly modified (and hopefully improved) variant of the original ircd program by Jarkko Oikarinen.

OPTIONS

-configfile filename
    Specifies the ircd.conf file to be used for this ircd. The option is used to override the default ircd.conf given at compile time. By default, this is "etc/ircd.conf" within the prefix you installed the ircd in.

-dlinefile filename

-klinefile filename

-xlinefile filename
    Specifies the files to be used for D-lines (host bans), K-lines (hostmask bans), and X-lines (gecos bans), which by default are within the etc/ directory of your installation prefix as dline.conf, kline.conf, and xline.conf.

-logfile filename
    Specifies an alternative logfile to be used than that specified in defaults.h

-pidfile filename
    Specifies the file used by the ircd to store its process ID. The option is used to override the default ircd.pid given at compile time.

-foreground
    Makes ircd run in the foreground

-version
    Makes ircd print its version, and exit.

USAGE
If you plan to connect your ircd server to an existing IRC network, you will need to alter your local IRC configuration file (typically named "ircd.conf") so that it will accept and make connections to other IRC servers. This file contains the hostnames, IP addresses, and sometimes passwords for connections to other ircds around the world. The example ircd.conf in the etc/ directory documents itself. Read it carefully or you may expose a risk on your network simply by having your ircd running!

BOOTING THE SERVER
It is sufficient to type ircd at the command line to start ircd-hybrid into the background. If you wish to run ircd in the foreground (perhaps for debugging purposes), use the -foreground parameter. The ircd-hybrid package in your distribution may ship with an rc-script which handles this for you. In Debian, it is /etc/init.d/ircd-hybrid.

EXAMPLE
# ircd -configfile /usr/share/ircd/ircd.conf -logfile /var/log/ircd.log Starts ircd with the config file /usr/share/ircd/ircd.conf and with a log file /var/log/ircd.log. It implicitly forks back to the console -- to prevent this use -foreground. Many of the above paths are hardcoded at compile time in the include/defaults.h file, so it may be convenient to edit these to suit your needs before you compile the ircd.

COPYRIGHT
(c) 1988,1989 University of Oulu, Computing Center, Finland,

(c) 1988,1989 Department of Information Processing Science, University of Oulu, Finland

(c) 1988-1991 Jarkko Oikarinen

(c) 1997-2003 The IRCD-Hybrid project.

For full COPYRIGHT see the LICENSE file within the IRC source package.

BUGS
If you find a bug and you have a core file from ircd as a result, use a debugger like gdb(1) to process the core file and send a backtrace to bugs@ircd-hybrid.org.

AUTHORS
irc2.8 and earlier: Jarkko Oikarinen, currently jto@tolsun.oulu.fi. See doc/old/Authors for more credits.

ircd-hybrid-7: the IRCD-Hybrid Project, bugs@ircd-hybrid.org.

Manual page written by Jeff Trim, jtrim@orion.cair.du.edu, later modified by jto@tolsun.oulu.fi.

Updated by W. Campbell, wcampbel@botbay.net, Edward Brocklesby, ejb@klamath.uucp.leguin.org.uk, and highly revised by Joshua Kwan (joshk@triplehelix.org) for the Debian distribution.